Follow

Windows Collector 5.3.3.3 Release Notes

Software Requirements

Supported operating systems

  • Windows XP - 32 and 64 bits
  • Windows Vista - 32 and 64 bits
  • Windows 7 - 32 and 64 bits
  • Windows 8 and 8.1 - 32 and 64 bits
  • Windows Server 2003 (XenApp / Remote Desktop Services) - 32 and 64 bits
  • Windows Server 2008 (XenApp / Remote Desktop Services) - 32 and 64 bits

Pre-requisites

  • UDP communication must be allowed between the targeted device and the Engine.
  • To install the Updater or the Collector using their MSI, the Windows installer (msiexec) version 3.0 or higher is required.

Nexthink dependency matrix

The latest Engine is always compatible with the latest Collector and all the previous versions of the Collector. If you want to upgrade to the latest release of the Collector, we encourage you to upgrade the Engine first.

  Nexthink Engine v5.3 Nexthink Engine v5.2 Nexthink Engine v5.1 Nexthink Engine V5.0
Nexthink Collector v5.3 OK Not OK Not OK Not OK
Nexthink Collector v5.2 OK OK Not OK Not OK
Nexthink Collector v5.0 OK OK OK OK

What's New

Fixed issues

Customer issues

  • [Support-9598] [CLT-1824] - Issue with TLS prevents the Collector from sending web requests info.
  • [Support-9809] [CLT-1848] - Issue with memory management in the Collector service (nxtsvc.exe) in specific scenarios with short-lived processes.

Internal issues

  • [CLT-1773] - Improper string termination may result in blue screen.
  • [CLT-1839] - Long properties of metro apps make the Collector service crash.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk